Subject: Re: Is this a bug, or what?
From: [email-masked] (Anders Norlander)

28 Oct 1998 16:11:25 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

Stephen L Arnold wrote:
> 
> Howdy:
> 
> Earnie suggested I post this one, so here goes:
> 
> I'm using the cygwin stuff for my C homework, and I can't figure
> out if this should work or not.  In the attached code (the classic
> Fibonacci sequence problem) the regular (long) integers start
> wrapping at n=46.
> 
> The gcc docs say long long ints are supported, but I can't seem to
> make it work (and I've tried various format specifiers).  As the
> output shows, sizeof returns the correct sizes of long (=int) and
> long long (ie, long long is twice as big).

Yes, long long is supported but the runtime-library (printf)
does not handle it. You should write your own long long -> text
conversion routine.

Anders Norlander
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".